Bug 254207 - [IA64 Xen]: xm save on HVM guest fails to work
[IA64 Xen]: xm save on HVM guest fails to work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Linda Wang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 15:11 EDT by Chris Lalancette
Modified: 2010-07-19 09:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 12:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2007-08-24 15:11:53 EDT
Description of problem:
On an ia64 dom0, attempting to run:

# xm save <hvm-guest> /var/lib/xen/save/hvm-guest-save

on an HVM guest fails to do anything.  In particular, it writes out the header
file to /var/lib/xen/save/hvm-guest-save, but doesn't write any data in there. 
It also doesn't pause the domain.  Note that there seem to be no ill effects on
either the guest or the dom0; the save just doesn't work.  In
/var/log/xen/xend.log, I see the following:

[2007-08-24 14:52:15 xend 2663] DEBUG (XendCheckpoint:88) [xc_save]:
/usr/lib/xen/bin/xc_save 20 4 0 0 4[2007-08-24 14:52:15 xend 2663] INFO
(XendCheckpoint:338) ERROR Internal error: Couldn't map live_shinfo
[2007-08-24 14:52:15 xend 2663] INFO (XendCheckpoint:338) Save exit rc=1
[2007-08-24 14:52:15 xend 2663] ERROR (XendCheckpoint:132) Save failed on domain
r5hvm (4).
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/xen/xend/XendCheckpoint.py", line 109,
in save
    forkHelper(cmd, fd, saveInputHandler, False)
  File "/usr/lib/python2.4/site-packages/xen/xend/XendCheckpoint.py", line 326,
in forkHelper
    raise XendError("%s failed" % string.join(cmd))
XendError: /usr/lib/xen/bin/xc_save 20 4 0 0 4 failed
[2007-08-24 14:52:15 xend.XendDomainInfo 2663] DEBUG (XendDomainInfo:1598)
XendDomainInfo.resumeDomain(4)
[2007-08-24 14:52:15 xend.XendDomainInfo 2663] ERROR (XendDomainInfo:1628)
XendDomainInfo.resume: xc.domain_resume failed on domain 4.
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomainInfo.py", line 1625,
in resumeDomain
    xc.domain_resume(self.domid, fast)
Error: (38, 'Function not implemented')
[2007-08-24 14:52:15 xend 2663] DEBUG (XendCheckpoint:135) XendCheckpoint.save:
resumeDomain
Comment 1 Martine Silbermann 2007-09-26 10:54:40 EDT
The error report is correct "Function not implemented"; it's not supported 
upstream either.
Comment 5 Chris Lalancette 2009-09-10 12:23:00 EDT
Closing this out; there are other bugs open to request this feature, and this is very stale.

Chris Lalancette
Comment 6 Paolo Bonzini 2010-04-08 11:43:10 EDT
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).
Comment 7 Chris Lalancette 2010-07-19 09:38:38 EDT
Clearing out old flags for reporting purposes.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.